# 자동응답 메시지 상세 조회

## Request

## 자동응답메시지의 상세 정보를 조회합니다.<br>

> 자동응답메시지의 상세 정보를 조회합니다.  \
> \
> &#x20; \+ \*\*계정 권한: 마스터, 매니저, 대행사\*\*  \
> &#x20; \+ \*\*브랜드 권한: 브랜드 대표운영자, 운영자\*\* <br>

```json
{"openapi":"3.0.0","info":{"title":"RCS Biz Center API 규격","version":"1.1.15"},"servers":[{"description":"RCS Biz Center API for Staging","url":"https://api-qa.rcsbizcenter.com/api/1.1"},{"description":"RCS Biz Center API for Production","url":"https://api.rcsbizcenter.com/api/1.1"}],"security":[{"jwtAuth":[]}],"components":{"securitySchemes":{"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"인증방식은 JWT인증을 사용합니다. 토큰의 갱신은 없으며 토큰 만료 시 항상 재발급 받아야 합니다.\n"}},"parameters":{"BrandKey":{"name":"X-RCS-Brandkey","in":"header","schema":{"type":"string","maxLength":18},"description":"maxLength: 18 - RCS Biz Center에서 브랜드 등록 시 자동 생성되는 Key 입니다.  \n\n대행사가 해당 브랜드에 대한 권한 여부를 판단하는데 사용됩니다.\n따라서, 대행사 계정으로 브랜드 내 정보를 조회/등록/수정 API 연동 시 Header에 설정되어야 합니다.\n"},"BrandId":{"name":"brandId","in":"path","schema":{"type":"string","maxLength":13},"required":true,"description":"maxLength: 13 - 브랜드 내 정보 접근시 사용되는 브랜드ID Path Parameter 입니다.\n"},"AutoReplyMsgId":{"name":"autoReplyMsgId","in":"path","schema":{"type":"string"},"required":true,"description":"브랜드 내 자동응답메시지 정보 접근시 사용되는 자동응답메시지ID Path Parameter 입니다.\n"}}},"paths":{"/brand/{brandId}/autoreplymsg/{autoReplyMsgId}":{"get":{"summary":"자동응답메시지의 상세 정보를 조회합니다.\n","description":"자동응답메시지의 상세 정보를 조회합니다.  \n\n  + **계정 권한: 마스터, 매니저, 대행사**  \n  + **브랜드 권한: 브랜드 대표운영자, 운영자** \n","parameters":[{"$ref":"#/components/parameters/BrandKey"},{"$ref":"#/components/parameters/BrandId"},{"$ref":"#/components/parameters/AutoReplyMsgId"}],"responses":{"200":{"description":"페이지 내 Response 섹션 참조"}}}}}}
```

## Response

<table data-full-width="true"><thead><tr><th width="147">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="120">기본값</th><th>설명</th></tr></thead><tbody><tr><td><a href="#result-array-less-than-object-greater-than"><mark style="color:blue;"><strong><code>result</code></strong></mark></a></td><td>array&#x3C;object></td><td align="center"></td><td align="center">O</td><td></td><td>자동응메시지 상세 정보입니다.</td></tr><tr><td><strong><code>code</code></strong></td><td>string</td><td align="center">5</td><td align="center">O</td><td>20000000</td><td></td></tr><tr><td><strong><code>status</code></strong></td><td>integer</td><td align="center">3</td><td align="center">O</td><td>200</td><td></td></tr><tr><td><strong><code>desc</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td></td></tr></tbody></table>

### <mark style="color:blue;">result</mark> - array\<object>

<table data-full-width="true"><thead><tr><th width="199">필드명</th><th width="178">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="120">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>brandId</code></strong></td><td>string</td><td align="center">13</td><td align="center">O</td><td></td><td>자동응메시지 상세 정보입니다.</td></tr><tr><td><strong><code>autoReplyMsgId</code></strong></td><td>string</td><td align="center">40</td><td align="center">O</td><td></td><td></td></tr><tr><td><strong><code>autoReplyMsgName</code></strong></td><td>string</td><td align="center">100</td><td align="center">O</td><td></td><td></td></tr><tr><td><strong><code>messagebaseId</code></strong></td><td>string</td><td align="center">40</td><td align="center">O</td><td></td><td></td></tr><tr><td><strong><code>approvalResult</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td><p>자동응답메시지 등록 상태입니다. 자동응답메시지는 운영자 검수 없이 자동 등록됩니다.</p><ul><li>등록완료 : 이통3사에 자동응답메시지가 정상 등록된 상태입니다.</li><li>저장 : RBC 웹에서 저장만 했을 경우 상태이며 별도 등록요청을 해야 합니다.</li><li>처리중 : 이통 3사 등록 중 에러로 인해 최종 완료가 되지 않은 상태로 수정이나 삭제가 불가능한 상태입니다.</li></ul></td></tr><tr><td><strong><code>registerDate</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>등록일시</td></tr><tr><td><strong><code>updateDate</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>수정일시</td></tr><tr><td><strong><code>registerId</code></strong></td><td>string</td><td align="center">20</td><td align="center"></td><td></td><td>등록 계정 ID</td></tr><tr><td><strong><code>updateId</code></strong></td><td>string</td><td align="center">20</td><td align="center"></td><td></td><td>수정 계정 ID</td></tr><tr><td><strong><code>copyAllowed</code></strong></td><td>boolean</td><td align="center"></td><td align="center"></td><td>true</td><td></td></tr><tr><td><strong><code>body</code></strong></td><td>object</td><td align="center"></td><td align="center">O</td><td></td><td></td></tr><tr><td><a href="#buttons-array-less-than-object-greater-than"><mark style="color:blue;"><strong><code>buttons</code></strong></mark></a></td><td>array&#x3C;object></td><td align="center"></td><td align="center"></td><td></td><td></td></tr><tr><td><a href="#suggestions-array-less-than-object-greater-than-chiplist-array-less-than-object-greater-than"><mark style="color:blue;"><strong><code>chipList</code></strong></mark></a></td><td>array&#x3C;object></td><td align="center"></td><td align="center"></td><td></td><td></td></tr></tbody></table>

### <mark style="color:blue;">buttons</mark> - array\<object>

<table data-full-width="true"><thead><tr><th width="147">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="120">기본값</th><th>설명</th></tr></thead><tbody><tr><td><mark style="color:$primary;">suggestions</mark></td><td>array&#x3C;object></td><td align="center"></td><td align="center"></td><td></td><td></td></tr></tbody></table>

### <mark style="color:blue;">suggestions</mark> - array\<object>, <mark style="color:blue;">chipList</mark> - array\<object>

<table data-full-width="true"><thead><tr><th width="147">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="120">기본값</th><th>설명</th></tr></thead><tbody><tr><td>action</td><td>object</td><td align="center"></td><td align="center"></td><td></td><td></td></tr><tr><td>reply</td><td>object</td><td align="center"></td><td align="center"></td><td></td><td></td></tr></tbody></table>

### ❖ response body sample

{% tabs %}
{% tab title="200-말풍선" %}

```
{
    "code": "20000000",
    "desc": null,
    "result": [
        {
            "brandId": "BR.0Qn6dj8Goh",
            "autoReplyMsgId": "ARMJqb8TG1dn0cd",
            "autoReplyMsgName": "자동응답 메시지 명 입니다.",
            "messagebaseId": "TMCSA00001",
            "approvalResult": "저장",
            "updateDate": "2026-04-20T21:16:22.000+09",
            "registerId": "yoonmin9411",
            "updateId": "yoonmin9411",
            "chipList": [
                {
                    "action": {
                        "displayText": "URL 연결 버튼",
                        "postback": {
                            "data": "postbackId=P5oA7AS71TwulUa;;"
                        },
                        "urlAction": {
                            "openUrl": {
                                "url": "http://www.rcsbizcenter.com"
                            }
                        }
                    }
                }
            ],
            "copyAllowed": true,
            "body": {
                "description": "자동응답 메시지의 내용 입니다."
            }
        }
    ],
    "status": 200
}
```

{% endtab %}

{% tab title="200-카드" %}

```
{
    "code": "20000000",
    "desc": null,
    "result": [
        {
            "brandId": "BR.0Qn6dj8Goh",
            "autoReplyMsgId": "ARMJqb8TG1dn0cd",
            "autoReplyMsgName": "자동응답 메시지 명 입니다.",
            "messagebaseId": "TMCSA00001",
            "approvalResult": "저장",
            "updateDate": "2026-04-20T21:16:22.000+09",
            "registerId": "yoonmin9411",
            "updateId": "yoonmin9411",
            "chipList": [
                {
                    "action": {
                        "displayText": "URL 연결 버튼",
                        "postback": {
                            "data": "postbackId=P5oA7AS71TwulUa;;"
                        },
                        "urlAction": {
                            "openUrl": {
                                "url": "http://www.rcsbizcenter.com"
                            }
                        }
                    }
                }
            ],
            "copyAllowed": true,
            "body": {
                "description": "자동응답 메시지의 내용 입니다."
            }
        }
    ],
    "status": 200
}
```

{% endtab %}

{% tab title="200-카드(이미지세로T)" %}

```
{
    "code": "20000000",
    "desc": null,
    "result": [
        {
            "brandId": "BR.0Qn6dj8Goh",
            "autoReplyMsgId": "ARMncHxBauc9Z6t",
            "autoReplyMsgName": "자동응답 메시지 명 입니다 (tall)",
            "messagebaseId": "RPCSMTX001",
            "approvalResult": "저장",
            "updateDate": "2026-04-20T21:14:50.000+09",
            "registerId": "yoonmin9411",
            "updateId": "yoonmin9411",
            "copyAllowed": true,
            "body": {
                "description": "내용 영역 입니다",
                "media": "BR.0Qn6dj8Goh-ARMf9u14CX7p5",
                "title": "제목 영역 입니다"
            }
        }
    ],
    "status": 200
}
```

{% endtab %}

{% tab title="200-카드(이미지세로M)" %}

```
{
    "code": "20000000",
    "desc": null,
    "result": [
        {
            "brandId": "BR.0Qn6dj8Goh",
            "autoReplyMsgId": "ARM8Q97K45uti2X",
            "autoReplyMsgName": "자동응답 메시지 명 입니다 (medium)",
            "messagebaseId": "RPCSMMX001",
            "approvalResult": "저장",
            "updateDate": "2026-04-20T21:15:17.000+09",
            "registerId": "yoonmin9411",
            "updateId": "yoonmin9411",
            "copyAllowed": true,
            "body": {
                "description": "내용 영역 입니다",
                "media": "BR.0Qn6dj8Goh-ARMaN71hbmC5Q",
                "title": "제목 영역 입니다"
            }
        }
    ],
    "status": 200
}
```

{% endtab %}

{% tab title="400" %}

```
{
    "error": {
        "code": "64002",
        "message": "Invalid Brand Key"
    },
    "status": 400
}
```

{% endtab %}

{% tab title="401" %}

```
{
    "error": {
        "code": "61003",
        "message": "Invalid token"
    },
    "status": 401
}
```

{% endtab %}

{% tab title="403" %}

```
{
    "error": {
        "code": "63001",
        "message": "No Brand Permission"
    },
    "status": 403
}
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
error code는 [RCS Biz Center - Response body error code](/rbc-api/error_code.md#rcs-biz-center-response-body-error-code) 참조
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.rcsbizcenter.com/rbc-api/autoreplymsg/get_autoreplymsg_detail.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
